<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <div class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1 class="m-0">Tableau de bord</h1>
        </div><!-- /.col -->
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <!-- <li class="breadcrumb-item"><a href="/admin-panel">Accueil</a></li> -->

          </ol>
        </div><!-- /.col -->
      </div><!-- /.row -->
    </div><!-- /.container-fluid -->
  </div>
  <!-- /.content-header -->

  <!-- Main content -->
  <section class="content">
    <div class="container-fluid">
      <!-- Small boxes (Stat box) -->

      <div class="row">
        <div class="col-md-12">
          <!-- Box Comment -->
          <div class="card card-widget">
            <div class="card-header">
              <div class="user-block">
                Sommaire
              </div>
              <!-- /.user-block -->
              <div class="card-tools">

                <button type="button" class="btn btn-tool" data-card-widget="collapse">
                  <i class="fas fa-minus"></i>
                </button>
                <!-- salesthismonth,
                  sellerthismonthapproved,
                  sellerthismonthnotapproved,
                  totoalnumberoforders,
                  totalearnings,
                  totalcommissionearned -->
              </div>
              <!-- /.card-tools -->
            </div>
            <!-- /.card-header -->
            <div class="card-body">
              <div class="row">
                <div class="col-lg-4 col-6">
                  <!-- small box -->
                  <div class="small-box bg-info">
                    <div class="inner">
                      <h3>
                        <%= totalearnings %><sup style="font-size: 20px">€</sup>
                      </h3>

                      <p>Ventes nettes ce mois-ci</p>
                    </div>
                    <div class="icon">
                      <i class="ion ion-bag"></i>
                    </div>
                    <!-- <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a> -->
                  </div>
                </div>
                <!-- ./col -->
                <div class="col-lg-4 col-6">
                  <!-- small box -->
                  <div class="small-box bg-success">
                    <div class="inner">
                      <h3>
                        <%= totalcommissionearned %><sup style="font-size: 20px">€</sup>
                      </h3>

                      <p>Commission gagnée </p>
                    </div>
                    <div class="icon">
                      <i class="ion ion-stats-bars"></i>
                    </div>
                    <!-- <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a> -->
                  </div>
                </div>
                <!-- ./col -->
                <div class="col-lg-4 col-6">
                  <!-- small box -->
                  <div class="small-box bg-warning">
                    <div class="inner">
                      <h3>
                        <%= totalsellerthismonth %><sup style="font-size: 20px">Vendeur</sup>
                      </h3>

                      <p>inscriptions ce mois-ci</p>
                    </div>
                    <div class="icon">
                      <i class="ion ion-person-add"></i>
                    </div>
                    <!-- <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a> -->
                  </div>
                </div>
                <!-- ./col -->
                <div class="col-lg-4 col-6">
                  <!-- small box -->
                  <div class="small-box bg-danger">
                    <div class="inner">
                      <h3>
                        <%= sellerthismonthnotapproved %> <sup style="font-size: 20px">Vendeur</sup>
                      </h3>

                      <p>en attente d'approbation</p>
                    </div>
                    <div class="icon">
                      <i class="ion ion-pie-graph"></i>
                    </div>
                    <!-- <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a> -->
                  </div>
                </div>
                <div class="col-lg-4 col-6">
                  <!-- small box -->
                  <div class="small-box bg-warning">
                    <div class="inner">
                      <h3>
                        <%= totalproductsthismonth %> <sup style="font-size: 20px">Produits</sup>
                      </h3>

                      <p>créés ce mois-ci</p>
                    </div>
                    <div class="icon">
                      <i class="ion ion-person-add"></i>
                    </div>
                    <!-- <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a> -->
                  </div>
                </div>
                <div class="col-lg-4 col-6">
                  <!-- small box -->
                  <div class="small-box bg-warning">
                    <div class="inner">
                      <h3>
                        <%= totalwithdrawls %> <sup style="font-size: 20px">Retraits</sup>
                      </h3>

                      <p>en attente d'approbation</p>
                    </div>
                    <div class="icon">
                      <i class="ion ion-person-add"></i>
                    </div>
                    <!-- <a href="#" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a> -->
                  </div>
                </div>
                <!-- ./col -->
              </div>
            </div>

          </div>
          <!-- /.card -->
        </div>
        <!-- /.col -->

        <!-- /.col -->
      </div>
      <!-- /.row -->
      <!-- /.row -->
      <!-- Main row -->

      <!-- /.row (main row) -->
    </div><!-- /.container-fluid -->
    <div class="container-fluid">
      <div class="row">
        <div class="col-md-12">
          <div class="card card-info">
            <div class="card-header">
             

              <div class="card-tools">
                <button type="button" class="btn btn-tool" data-card-widget="collapse">
                  <i class="fas fa-minus"></i>
                </button>
                <button type="button" class="btn btn-tool" data-card-widget="remove">
                  <i class="fas fa-times"></i>
                </button>
              </div>
             
            </div>
            <div class="card-body">
              <div><span>Ventes totales:<div style="border: solid 0.5px;background-color:#007bff;width:40px;height:8px"></div></span>
              <span>Nombre de commandes:<div style="border: solid 0.5px;background-color:#28a745;width:40px;height:8px"></div></span>
              <span> Commission earned:<div style="border: solid 0.5px;background-color:#17a2b8;width:40px;height:8px"></div></span></div>
              <div class="chart">
                <div id="lineChart" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></div>
              </div>
            </div>

          </div>


        </div>
      </div>
      <div class="row">
       
      <div class="col-md-6">
        <div class="card card-danger">
          <div class="card-header">
           <h3>Orders</h3>

            <div class="card-tools">
              <button type="button" class="btn btn-tool" data-card-widget="collapse">
                <i class="fas fa-minus"></i>
              </button>
              <!-- <button type="button" class="btn btn-tool" data-card-widget="remove">
                <i class="fas fa-times"></i>
              </button> -->
            </div>
          </div>
          <div class="card-body">
            <canvas id="pieChart" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
          </div>
          <!-- /.card-body -->
        </div>
      </div>
      <div class="col-md-6">
        <div class="card card-danger">
          <div class="card-header">
           
<h3>Expédition</h3>
            <div class="card-tools">
              <button type="button" class="btn btn-tool" data-card-widget="collapse">
                <i class="fas fa-minus"></i>
              </button>
              <!-- <button type="button" class="btn btn-tool" data-card-widget="remove">
                <i class="fas fa-times"></i>
              </button> -->
            </div>
          </div>
          <div class="card-body">
            <canvas id="pieChart2" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
          </div>
          <!-- /.card-body -->
        </div>
      </div>
        <!-- /.card-body -->
      </div>





      <!-- Main content -->
      <section class="content">
        <div class="container-fluid">
          <!-- <div class="row">
            <div class="col-12">
              <div class="card">
                <div class="card-header">
                  <h3 class="card-title">Reservations recentes</h3>
                </div>
                <!-- /.card-header -->
                <!-- <div class="card-body">
                  <table id="example2" class="table table-bordered table-hover">
                    <thead>
                      <tr>
                        <th>Utilisateur</th>
                        <th>Prestataire de services</th>
                        <th>Date et heure</th>
                        <th>Type de service</th>
                        <th>Statut</th>
                      </tr>
                    </thead>
                    <tbody>
                      <% reservations.forEach(element=> { %>
                        <tr>
                          <td>
                            <%= element.client_name %>
                          </td>
                          <td>
                            <%= element.provider_name %>
                          </td>
                          <td>
                            <%= element.date_availed&&moment(new
                              Date(element.date_availed).toISOString().split("T")[0]).format("YYYY.MM.DD")?moment(new
                              Date(element.date_availed).toISOString().split("T")[0]).format("YYYY.MM.DD"):"" %>
                          </td>
                          <td>
                            <%= element.service_name %>
                          </td>
                          <td>
                            <%= element.service_status?"Complété":"En attente" %>
                          </td>
                          <td>
                            <a href="/admin-panel/reservations/<%= element._id %>" class="btn btn-primary">Voir</a>
                          </td>
                        </tr>
                        <% }); %>
                    </tbody>





                  </table>
                </div> -->
                <!-- /.card-body -->
              </div>
              <!-- /.card -->


              <!-- /.card -->
            </div>
            <!-- /.col -->
          </div> -->
          <!-- /.row -->
        </div>
        <!-- /.container-fluid -->
      </section>
      <!-- /.content -->






    </div>


    <script>
      $(function () {
        /* uPlot
         * -------
         * Here we will create a few charts using uPlot
         */

        function getSize(elementId) {
          return {
            width: document.getElementById(elementId).offsetWidth,
            height: document.getElementById(elementId).offsetHeight,
          }
        }

        let data=[[<%=numberofdaysarray%>],[<%=totalsalesarray%>],[<%=totalordersarray%>],[<%=totalcommissionarray%>]]

       
       console.log("data",data)
        //--------------
        //- AREA CHART -
        //--------------

        // const optsAreaChart = {
        //   ... getSize('areaChart'),
        //   scales: {
        //     x: {
        //       time: false,
        //     },
        //     y: {
        //       range: [0, 100],
        //     },
        //   },
        //   series: [
        //     {},
        //     {
        //       fill: 'rgba(60,141,188,0.7)',
        //       stroke: 'rgba(60,141,188,1)',
        //     },
        //     {
        //       stroke: '#c1c7d1',
        //       fill: 'rgba(210, 214, 222, .7)',
        //     },
        //   ],
        // };

        // let areaChart = new uPlot(optsAreaChart, data, document.getElementById('areaChart'));

        const optsLineChart = {
          ...getSize('lineChart'),
          scales: {
            x: {
              time: false,
              width: 1,
            },
            y: {
              range: [0, 1000],
            }
          },
          series: [
            {
              
            },
            {
              fill: 'transparent',
              show: true,

      spanGaps: false,

              label: "RAM",
              width: 5,
              stroke: '#007bff',

            },
            {
              stroke: '#28a745',
              width: 5,
              label:"okl",
              fill: 'transparent',
            },
            {
              stroke: 'red',
              width: 5,
              label:"nowhere",
              fill: 'transparent',
            },
          ],
        };

        let lineChart = new uPlot(optsLineChart, data, document.getElementById('lineChart'));

        window.addEventListener("resize", e => {
          // areaChart.setSize(getSize('areaChart'));
          lineChart.setSize(getSize('lineChart'));
        });


        
      });
      $(function () {
    /* ChartJS
     * -------
     * Here we will create a few charts using ChartJS
     */

    //--------------
    //- AREA CHART -
    //--------------

    // Get context with jQuery - using jQuery's .get() method.
   
    //-------------
    //- LINE CHART -
    //--------------
    

    //-------------
    //- DONUT CHART -
    //-------------
    // Get context with jQuery - using jQuery's .get() method.
    
    var donutData        = {
      labels: [
      "Total",

"Achevé",

"Traitement",

"Annulé",

"Remboursé"
      ],
      datasets: [
        {
          data: [<%=orderspie%>],
         
          backgroundColor : ['#f56954', '#00a65a', '#f39c12', '#00c0ef', '#3c8dbc', '#d2d6de'],
        }
      ]
    }
    var donutData2        = {
      labels: [
      'Total',
          'Terminé',
          'Annulé',
          'En cours de livraison'
    
      ],
      datasets: [
        {
          data: [700,500,400,600],
          backgroundColor : ['#f56954', '#00a65a', '#f39c12', '#00c0ef', '#3c8dbc', '#d2d6de'],
        }
      ]
    }
    var donutOptions     = {
      maintainAspectRatio : false,
      responsive : true,
    }
    //Create pie or douhnut chart
    // You can switch between pie and douhnut using the method below.
    

    //-------------
    //- PIE CHART -
    //-------------
    // Get context with jQuery - using jQuery's .get() method.
    var pieChartCanvas = $('#pieChart').get(0).getContext('2d');
    var pieChartCanvas2 = $('#pieChart2').get(0).getContext('2d');
    var pieData        = donutData;
    var pieData2        = donutData2;
    var pieOptions     = {
      maintainAspectRatio : false,
      responsive : true,
    }
    //Create pie or douhnut chart
    // You can switch between pie and douhnut using the method below.
    new Chart(pieChartCanvas, {
      type: 'pie',
      data: pieData,
      options: pieOptions
    })
    new Chart(pieChartCanvas2, {
      type: 'pie',
      data: pieData2,
      options: pieOptions
    })
    //-------------
    //- BAR CHART -
    //-------------
   

    //---------------------
    //- STACKED BAR CHART -
    //---------------------
    
  })
    </script>